org.bouncycastle.jce.provider

## Class JDKDSAPublicKey

- java.lang.Object
- - org.bouncycastle.jce.provider.JDKDSAPublicKey

All Implemented Interfaces:
  java.io.Serializable, java.security.interfaces.DSAKey, java.security.interfaces.DSAPublicKey, java.security.Key, java.security.PublicKey

    public class JDKDSAPublicKey
    extends java.lang.Object
    implements java.security.interfaces.DSAPublicKey

See Also:
  Serialized Form

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getAlgorithm()`
`byte[]` `getEncoded()`
`java.lang.String` `getFormat()`
`java.security.interfaces.DSAParams` `getParams()`
`java.math.BigInteger` `getY()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getAlgorithm

    public java.lang.String getAlgorithm()

Specified by:
  `getAlgorithm` in interface `java.security.Key`

#### getFormat

    public java.lang.String getFormat()

Specified by:
  `getFormat` in interface `java.security.Key`

#### getEncoded

    public byte[] getEncoded()

Specified by:
  `getEncoded` in interface `java.security.Key`

#### getParams

    public java.security.interfaces.DSAParams getParams()

Specified by:
  `getParams` in interface `java.security.interfaces.DSAKey`

#### getY

    public java.math.BigInteger getY()

Specified by:
  `getY` in interface `java.security.interfaces.DSAPublicKey`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`